Module Name: src
Committed By: rin
Date: Fri Nov 17 16:08:20 UTC 2017
Added Files:
src/external/bsd/tre: tre2netbsd
Log Message:
Add tre2netbsd script based on nvi2netbsd.
To generate a diff of this commit:
cvs rdiff -u -r0 -r1.1 src/external/bsd/tre/tre2netbsd
Please note that diffs are not public domain; they are subject to the
copyright notices on the relevant files.
Added files:
Index: src/external/bsd/tre/tre2netbsd
diff -u /dev/null src/external/bsd/tre/tre2netbsd:1.1
--- /dev/null Fri Nov 17 16:08:20 2017
+++ src/external/bsd/tre/tre2netbsd Fri Nov 17 16:08:20 2017
@@ -0,0 +1,87 @@
+#! /bin/sh
+#
+# $NetBSD: tre2netbsd,v 1.1 2017/11/17 16:08:20 rin Exp $
+#
+# Copyright (c) 2000 The NetBSD Foundation, Inc.
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
+# ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
+# TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
+# BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+# POSSIBILITY OF SUCH DAMAGE.
+#
+# based on nvi2netbsd,
+# itself based on bind2netbsd by Bernd Ernesti and changes by Simon Burge
+#
+# Rough instructions for importing new tre release from their git repository:
+#
+# $ cd /some/where/temporary
+# $ git clone https://github.com/laurikari/tre.git
+# $ sh /usr/src/external/bsd/tre/tre2netbsd tre `pwd`
+# $ cd src/external/bsd/tre/dist
+# $ cvs import src/external/bsd/tre/dist LAURIKARI tre-yyyymmdd
+# >>> if any conflicts, merge, fix and commit them.
+# >>> check out src/external/bsd/tre/dist.
+# $ cd checked-out-directory
+# >>> next step requires autoconf, automake, gettext, and libtool.
+# $ utils/autogen.sh
+# $ ./configure --prefix=/usr --without-alloca
+# >>> merge newly generated files:
+# >>> config.h into /usr/src/external/bsd/tre/include
+# >>> lib/tre-config.h into /usr/src/external/bsd/tre/include
+# >>> tre.pc into /usr/src/external/bsd/tre/lib
+
+prog="$(basename "$0")"
+r="$1"
+d="$2"/src/external/bsd/tre/dist
+
+if [ $# -ne 2 ]; then echo "${prog} src dest"; exit 1; fi
+
+case "$d" in
+ /*)
+ ;;
+ *)
+ d="`/bin/pwd`/$d"
+ ;;
+esac
+
+case "$r" in
+ /*)
+ ;;
+ *)
+ r="`/bin/pwd`/$r"
+ ;;
+esac
+
+echo preparing directory "$d"
+rm -rf "$d"
+mkdir -p "$d"
+
+### Copy the files and directories
+echo copying "$r" to "$d"
+cd "$r"
+pax -rw * "$d"
+
+echo removing unneeded directories and files
+
+### Remove unneeded files
+cd "$d"
+rm -fr `find . -name '.git*'`
+
+exit 0